Bug 134262 - Add long-press links gesture to Mac
Summary: Add long-press links gesture to Mac
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: UI Events (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Other
: P2 Enhancement
Assignee: Nobody
URL:
Keywords:
Depends on: 134612
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-24 12:35 PDT by Peyton Randolph
Modified: 2014-07-24 14:35 PDT (History)
12 users (show)

See Also:


Attachments
Feature flag (31.59 KB, patch)
2014-06-27 09:16 PDT, Peyton Randolph
no flags Details | Formatted Diff | Diff
Feature flag (31.41 KB, patch)
2014-06-27 12:11 PDT, Peyton Randolph
no flags Details | Formatted Diff | Diff
Event handling (14.03 KB, patch)
2014-06-30 15:14 PDT, Peyton Randolph
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peyton Randolph 2014-06-24 12:35:53 PDT
Mac Safari would like a long-press gesture for links. Long-pressing on a link would send metadata, like the link's URL, title, and position, up to Safari.
Comment 1 Peyton Randolph 2014-06-27 09:16:01 PDT
Created attachment 233986 [details]
Feature flag
Comment 2 Peyton Randolph 2014-06-27 12:11:34 PDT
Created attachment 234003 [details]
Feature flag
Comment 3 WebKit Commit Bot 2014-06-27 13:47:31 PDT
Comment on attachment 234003 [details]
Feature flag

Clearing flags on attachment: 234003

Committed r170550: <http://trac.webkit.org/changeset/170550>
Comment 4 WebKit Commit Bot 2014-06-27 13:47:35 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Peyton Randolph 2014-06-27 15:45:52 PDT
More patches coming.
Comment 6 Sam Weinig 2014-06-27 17:28:40 PDT
Why is this 10.10 only? Does it require new AppKit API?
Comment 7 Peyton Randolph 2014-06-27 23:06:08 PDT
(In reply to comment #6)
> Why is this 10.10 only? Does it require new AppKit API?

I made it 10.10-only because the Safari-land feature it's supporting needs 10.10. But there's no technical reason to require 10.10 on the WebKit side, so if we'd like, we could enable it for 10.8 and 10.9.
Comment 8 Sam Weinig 2014-06-28 17:24:27 PDT
(In reply to comment #7)
> (In reply to comment #6)
> > Why is this 10.10 only? Does it require new AppKit API?
> 
> I made it 10.10-only because the Safari-land feature it's supporting needs 10.10. But there's no technical reason to require 10.10 on the WebKit side, so if we'd like, we could enable it for 10.8 and 10.9.

Yes. Please enable everywhere.
Comment 9 Peyton Randolph 2014-06-30 15:07:47 PDT
(In reply to comment #8)
> (In reply to comment #7)
> > (In reply to comment #6)
> > > Why is this 10.10 only? Does it require new AppKit API?
> > 
> > I made it 10.10-only because the Safari-land feature it's supporting needs 10.10. But there's no technical reason to require 10.10 on the WebKit side, so if we'd like, we could enable it for 10.8 and 10.9.
> 
> Yes. Please enable everywhere.

Everywhere Mac or everywhere everywhere?
Comment 10 Peyton Randolph 2014-06-30 15:09:04 PDT
Comment on attachment 234003 [details]
Feature flag

Committed r170550.
Comment 11 Peyton Randolph 2014-06-30 15:14:40 PDT
Created attachment 234101 [details]
Event handling
Comment 12 Tim Horton 2014-07-03 15:03:08 PDT
Comment on attachment 234101 [details]
Event handling

View in context: https://bugs.webkit.org/attachment.cgi?id=234101&action=review

Will cc some relevant people.

> Source/WebCore/ChangeLog:3
> +        Add link long-press event handling using a timer.

we usually use one bug per patch. this bug already landed a patch :) might want to adjust the titles a bit
Comment 13 Peyton Randolph 2014-07-03 15:11:57 PDT
(In reply to comment #12)
> (From update of attachment 234101 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=234101&action=review
> 
> Will cc some relevant people.
> 
> > Source/WebCore/ChangeLog:3
> > +        Add link long-press event handling using a timer.
> 
> we usually use one bug per patch. this bug already landed a patch :) might want to adjust the titles a bit

Sure thing.
Comment 14 Peyton Randolph 2014-07-03 15:12:47 PDT
(In reply to comment #13)
> (In reply to comment #12)
> > (From update of attachment 234101 [details] [details])
> > View in context: https://bugs.webkit.org/attachment.cgi?id=234101&action=review
> > 
> > Will cc some relevant people.
> > 
> > > Source/WebCore/ChangeLog:3
> > > +        Add link long-press event handling using a timer.
> > 
> > we usually use one bug per patch. this bug already landed a patch :) might want to adjust the titles a bit
> 
> Sure thing.

Created a bug to track this subtask: https://bugs.webkit.org/show_bug.cgi?id=134612
Comment 15 Peyton Randolph 2014-07-24 14:35:37 PDT
Superseded by https://bugs.webkit.org/show_bug.cgi?id=135257